#include<bits/stdc++.h>
using namespace std;

int main()
{
    long long x,y;
    cin>>x>>y;
    long long a=100000000,b=100000000;
    long long m;
    long long n;
    int w=0;
    for(int i=0;i<9;i++){
        m=(x/a)%10;
        n=(y/b)%10;
        if(w==0){
            if(m==0 && n==0){
                a/=10;
                b/=10;
            }else{
                w=1;
                if(m>n){
                    cout<<m;
                }else if(m<n){
                    cout<<n;
                }else{
                    cout<<m<<n;
                }
                a/=10;
                b/=10;
            }
        }else{
            if(m>n){
                cout<<m;
            }else if(m<n){
                cout<<n;
            }else if(m!=0){
                cout<<m<<n;
            }else{
                cout<<0;
            }
            a/=10;
            b/=10;
        }
    }
 return 0;
}